do
    table.insert(options.ui.items,
    {
        title = "GUI: Visible Template Names",
        key = 'gui_visible_template_names',
        type = 'toggle',
        default = 1,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Template Name Cutoff",
        key = 'gui_template_name_cutoff',
        type = 'slider',
        default = 0,
        custom = {
            min = 0,
            max = 10,
            inc = 1,
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Display more Unit Stats",
        key = 'gui_detailed_unitview',
        type = 'toggle',
        default = 1,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Display Reclaim Window",
        key = 'gui_display_reclaim_totals',
        type = 'toggle',
        default = 0,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Always Render Custom Names",
        key = 'gui_render_custom_names',
        type = 'toggle',
        default = 1,
        set = function(key,value,startup)
            ConExecute("ui_RenderCustomNames " .. tostring(value))
        end,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Force Render Enemy Lifebars",
        key = 'gui_render_enemy_lifebars',
        type = 'toggle',
        default = 0,
        set = function(key,value,startup)
            ConExecute("UI_ForceLifbarsOnEnemy " .. tostring(value))
        end,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Auto Rename Replays",
        key = 'gui_auto_rename_replays',
        type = 'toggle',
        default = 1,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })
    table.insert(options.ui.items,
    {
        title = "GUI: Improved Unit deselection",
        key = 'gui_improved_unit_deselection',
        type = 'toggle',
        default = 1,
        custom = {
            states = {
                {text = "<LOC _Off>", key = 0 },
                {text = "<LOC _On>", key = 1 },
            },
        },
    })

end
