local KeyMapper = import('/lua/keymap/keymapper.lua')
local Prefs = import('/lua/user/prefs.lua')

function Init()
-- start Ghaleon
    local number = 40

    KeyMapper.SetUserKeyAction('select_gunships', {action = 'UI_SelectByCategory AIR GROUNDATTACK', category = 'selection', order = number})
    KeyMapper.SetUserKeyAction('select_anti_air_fighters', {action = 'UI_SelectByCategory AIR HIGHALTAIR ANTIAIR', category = 'selection', order = number + 1})
    KeyMapper.SetUserKeyAction('select_all_tml', {action = 'UI_SelectByCategory STRUCTURE TACTICALMISSILEPLATFORM', category = 'selection', order = number + 2})
    KeyMapper.SetUserKeyAction('select_all_stationdrones', {action = 'UI_SelectByCategory AIR STATIONASSISTPOD', category = 'selection', order = number + 3})
    KeyMapper.SetUserKeyAction('select_all_t2_podstations', {action = 'UI_SelectByCategory STRUCTURE PODSTAGINGPLATFORM TECH2', category = 'selection', order = number + 4})
    KeyMapper.SetUserKeyAction('select_all_air_exp', {action = 'UI_SelectByCategory AIR EXPERIMENTAL', category = 'selection', order = number + 5})
    KeyMapper.SetUserKeyAction('select_all_antinavy_subs', {action = 'UI_SelectByCategory SUBMERSIBLE OVERLAYANTINAVY', category = 'selection', order = number + 6})
    KeyMapper.SetUserKeyAction('select_all_land_exp', {action = 'UI_SelectByCategory LAND MOBILE OVERLAYDIRECTFIRE EXPERIMENTAL', category = 'selection', order = number + 7})
    KeyMapper.SetUserKeyAction('select_all_land_indirectfire', {action = 'UI_SelectByCategory LAND OVERLAYINDIRECTFIRE', category = 'selection', order = number + 8})
    KeyMapper.SetUserKeyAction('select_all_land_directfire', {action = 'UI_SelectByCategory +excludeengineers LAND OVERLAYDIRECTFIRE', category = 'selection', order = number + 9})
    KeyMapper.SetUserKeyAction('select_all_air_factories', {action = 'UI_SelectByCategory STRUCTURE FACTORY AIR', category = 'selection', order = number + 10})
    KeyMapper.SetUserKeyAction('select_all_land_factories', {action = 'UI_SelectByCategory STRUCTURE FACTORY LAND', category = 'selection', order = number + 11})
    KeyMapper.SetUserKeyAction('select_all_naval_factories', {action = 'UI_SelectByCategory STRUCTURE FACTORY NAVAL', category = 'selection', order = number + 12})
    KeyMapper.SetUserKeyAction('select_all_t1_engineers', {action = 'UI_SelectByCategory LAND TECH1 ENGINEER', category = 'selection', order = number + 13})
    KeyMapper.SetUserKeyAction('select_all_battleships', {action = 'UI_SelectByCategory NAVAL BATTLESHIP', category = 'selection', order = number + 14})

    KeyMapper.SetUserKeyAction('Render_SelectionSet_Names', {action = 'ui_RenderSelectionSetNames', category = 'ui', order = number+ 15})
    KeyMapper.SetUserKeyAction('Render_Custom_Names', {action = 'ui_RenderCustomNames', category = 'ui', order = number + 16})
    KeyMapper.SetUserKeyAction('Render_Unit_Bars', {action = 'ui_RenderUnitBars', category = 'ui', order = number + 17})
    KeyMapper.SetUserKeyAction('Render_Icons', {action = 'ui_RenderIcons', category = 'ui', order = number + 18})
    KeyMapper.SetUserKeyAction('Always_Render_Strategic_Icons', {action = 'ui_AlwaysRenderStrategicIcons', category = 'ui', order = number + 19})
    KeyMapper.SetUserKeyAction('Kill_Selected_Units', {action = 'KillSelectedUnits', category = 'orders', order = number + 20})
    KeyMapper.SetUserKeyAction('Kill_All', {action = 'KillAll', category = 'orders', order = number + 21 })
    KeyMapper.SetUserKeyAction('Show_Bandwidth_Usage', {action = 'ren_ShowBandwidthUsage', category = 'ui', order = number + 22})
    KeyMapper.SetUserKeyAction('Execute_Paste_Buffer', {action = 'ExecutePasteBuffer', category = 'ui', order = number + 23})
-- end Ghaleon
end
